Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5116)
@@ -165,20 +165,20 @@
         real, dimension(klon) :: mean_dens
         ! lat_scale : temperature lapse rate against latitude [K degree-1]
-        real :: lat_scale
+        REAL :: lat_scale
         ! sh_scale : temperature lapse rate against altitude [K km-1]
-        real :: sh_scale
+        REAL :: sh_scale
         ! variables for density profile
         ! E0, E1 : exponent
-        real :: E0, E1
+        REAL :: E0, E1
         ! depth at which 550 kg m-3 is reached [m]
-        real :: z550
+        REAL :: z550
         ! depths of snow layers
-        real :: depth, snow_depth, distup
+        REAL :: depth, snow_depth, distup
         ! number of initial snow layers
-        integer :: nb_snow_layer
+        INTEGER :: nb_snow_layer
         ! For density calc.
-        real :: alpha0, alpha1, ln_smb
+        REAL :: alpha0, alpha1, ln_smb
         ! theoritical densities [kg m-3]
-        real :: rho0, rho1, rho1_550
+        REAL :: rho0, rho1, rho1_550
         ! constants for density profile
         ! C0, C1 : constant, 0.07 for z <= 550 kg m-3
@@ -228,9 +228,9 @@
             klonv = klon
             knonv = knon
-                write(*, *) 'ikl, lon and lat in INLANDSIS'
+                WRITE(*, *) 'ikl, lon and lat in INLANDSIS'
 
             DO ikl = 1, knon
                 i=ikl2i(ikl)
-                write(*, *) 'ikl=', ikl, 'rlon=', rlon(i), 'rlat=', rlat(i)
+                WRITE(*, *) 'ikl=', ikl, 'rlon=', rlon(i), 'rlat=', rlat(i)
             END DO
 
@@ -260,5 +260,5 @@
             ! +--Soil layer thickness . Compute soil discretization (as for LMDZ)
             ! +  ----------------------------------------------------------------
-            !        write(*,'(/a)') 'Start SISVAT init: soil discretization ', nsoilmx
+            !        WRITE(*,'(/a)') 'Start SISVAT init: soil discretization ', nsoilmx
             CALL get_soil_levels(dz1, dz2, lambda)
 
@@ -368,5 +368,5 @@
                 ! with a moist-adiabatic lapse rate of 5 °C km-1 everywhere except for Antarctica,
                 ! for Antarctica, a dry-adiabatic lapse rate of 9.8 °C km-1 is assumed.
-                if (lati > 60.) then
+                if (lati > 60.) THEN
                     ! CA todo : add longitude bounds
                     ! Greenland mean temperature : function of altitude and latitude
@@ -379,5 +379,5 @@
                     ! surface density: Fausto et al. 2018, https://doi.org/10.3389/feart.2018.00051
                     mean_dens(ikl) = 315.
-                else if (lati < -60.) then
+                else if (lati < -60.) THEN
                     ! Antarctica mean temperature : function of altitude and latitude
                     ! for altitudes 0. to 500. m, lat_scale varies from 1.3 to 0.6 °C °lat-1
@@ -399,5 +399,5 @@
                 else
 
-                !    write(*, *) 'Attention: temperature initialization is only defined for Greenland and Antarctica'
+                !    WRITE(*, *) 'Attention: temperature initialization is only defined for Greenland and Antarctica'
 
                      mean_dens(ikl) =350.
@@ -463,5 +463,5 @@
                     rho0 = exp(E0 * depth) / (rho_ice / mean_dens(ikl) - 1 + exp(E0 * depth)) * rho_ice
                     rho1 = exp(E1 * depth) / (rho_ice / mean_dens(ikl) - 1 + exp(E1 * depth)) * rho_ice
-                    if (depth <= z550) then
+                    if (depth <= z550) THEN
                         ro__SV(ikl, isl) = exp(E0 * depth) / (rho_ice / mean_dens(ikl) - 1 + exp(E0 * depth)) * rho_ice
                     else
@@ -499,6 +499,6 @@
                 open(unit = un_outfor, status = 'replace', file = fn_outfor)
                 ikl = gp_outfor     ! index sur la grille land ice
-                write(un_outfor, *) fn_outfor, ikl, dt__SV, rlon(ikl2i(ikl)), rlat(ikl2i(ikl))
-                write(un_outfor, *) 'nsnow - albedo - z0m - z0h , dz [m,30], temp [K,41], rho [kg/m3,41], eta [kg/kg,41] &
+                WRITE(un_outfor, *) fn_outfor, ikl, dt__SV, rlon(ikl2i(ikl)), rlat(ikl2i(ikl))
+                WRITE(un_outfor, *) 'nsnow - albedo - z0m - z0h , dz [m,30], temp [K,41], rho [kg/m3,41], eta [kg/kg,41] &
    G1 [-,30], G2 [-,30], agesnow [d,30], history [-,30], DOP [m,30]'
             END IF
@@ -553,5 +553,5 @@
             ! => Upper bound for eroded snow mass
             !        uss_SV(ikl) = SLussl(i,j,n) ! u*qs* (only for Tv in sisvatesbl.f)
-            ! #BS  if(dsn_SV(ikl)>eps12.and.erprev(i,j,n).gt.eps9) then
+            ! #BS  IF(dsn_SV(ikl)>eps12.and.erprev(i,j,n).gt.eps9) THEN
             ! #BS    dsnbSV(ikl) =1.0-min(qsHY(i,j,kB)     !BS neglib. at kb ~100 magl)
             ! #BS.                        /max(qshy(i,j,mz),eps9),unun)
@@ -564,5 +564,5 @@
             !      will be used for characterizing the Buffer Layer
             !      (see update of  Bros_N, G1same, G2same, zroOLD, zroNEW)
-            ! #BS  if(n==1) qbs_HY(i,j) = dsnbSV(ikl)
+            ! #BS  IF(n==1) qbs_HY(i,j) = dsnbSV(ikl)
             qsnoSV(ikl) = snow_cont_air(ikl)
 
@@ -642,5 +642,5 @@
                     toicSV(ikl) = toicSV(ikl) - sn_add
                 ELSE
-                    write(*, *) 'Attention, bare ice... point ', ikl
+                    WRITE(*, *) 'Attention, bare ice... point ', ikl
                     isnoSV(ikl) = 1
                     istoSV(ikl, 1) = 0
@@ -713,15 +713,15 @@
             IF (ok_outfor) THEN
              ikl= gp_outfor
-            write(un_outfor, *) '+++++++++++', rlon(ikl2i(ikl)), rlat(ikl2i(ikl)),alt(ikl),'+++++++++++'
-            write(un_outfor, *) isnoSV(ikl), alb_SV(ikl), Z0m_SV(ikl), Z0h_SV(ikl),HSs_sv(ikl),HLs_sv(ikl),alb1(ikl),alb2(ikl)
-            write(un_outfor, *) dzsnSV(ikl, :)
-            write(un_outfor, *) TsisSV(ikl, :)
-            write(un_outfor, *) ro__SV(ikl, :)
-            write(un_outfor, *) eta_SV(ikl, :)
-            write(un_outfor, *) G1snSV(ikl, :)
-            write(un_outfor, *) G2snSV(ikl, :)
-            write(un_outfor, *) agsnSV(ikl, :)
-            write(un_outfor, *) istoSV(ikl, :)
-            write(un_outfor, *) DOPsnSV(ikl, :)
+            WRITE(un_outfor, *) '+++++++++++', rlon(ikl2i(ikl)), rlat(ikl2i(ikl)),alt(ikl),'+++++++++++'
+            WRITE(un_outfor, *) isnoSV(ikl), alb_SV(ikl), Z0m_SV(ikl), Z0h_SV(ikl),HSs_sv(ikl),HLs_sv(ikl),alb1(ikl),alb2(ikl)
+            WRITE(un_outfor, *) dzsnSV(ikl, :)
+            WRITE(un_outfor, *) TsisSV(ikl, :)
+            WRITE(un_outfor, *) ro__SV(ikl, :)
+            WRITE(un_outfor, *) eta_SV(ikl, :)
+            WRITE(un_outfor, *) G1snSV(ikl, :)
+            WRITE(un_outfor, *) G2snSV(ikl, :)
+            WRITE(un_outfor, *) agsnSV(ikl, :)
+            WRITE(un_outfor, *) istoSV(ikl, :)
+            WRITE(un_outfor, *) DOPsnSV(ikl, :)
         ENDIF
 
@@ -771,5 +771,5 @@
         fz(rk) = fz1 * (dalph_soil**rk - 1.) / (dalph_soil - 1.)
 
-        !    write(*,*)'Start soil level computation'
+        !    WRITE(*,*)'Start soil level computation'
         !-----------------------------------------------------------------------
         ! Calculation of some constants
@@ -1190,5 +1190,5 @@
             ENDIF
         ENDDO
-        write(*, *)'Read ', fichnom, ' finished!!'
+        WRITE(*, *)'Read ', fichnom, ' finished!!'
 
         !*********************************************************************************
@@ -1216,10 +1216,10 @@
 
                 END DO
-                write(*, *)'Copy histo', ikl
+                WRITE(*, *)'Copy histo', ikl
 
                 DO  isn = 1, isnoSV(ikl) !nsno
                     snopts = snopts + 1
                     IF (isto(i, isn) > 10.) THEN          !hj check
-                        write(*, *)'Irregular isto', ikl, i, isn, isto(i, isn)
+                        WRITE(*, *)'Irregular isto', ikl, i, isn, isto(i, isn)
                         isto(i, isn) = 1.
                     ENDIF
@@ -1245,5 +1245,5 @@
                         errro = errro + 1
                     ENDIF
-                    write(*, *)ikl, i, isn, Tsis(i, isn), G1sn(i, isn)
+                    WRITE(*, *)ikl, i, isn, Tsis(i, isn), G1sn(i, isn)
                     G1snSV(ikl, isn) = G1sn(i, isn)          ! [-]        [-]
                     G2snSV(ikl, isn) = G2sn(i, isn)          ! [-] [0.0001 m]
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5116)
@@ -141,9 +141,9 @@
 
       IF (prt_level>=10) THEN
-        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," iibegin=",ii_begin , " ii_end=",ii_end," jjbegin=",jj_begin," jj_nb=",jj_nb," jj_end=",jj_end
-        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," nbp_lon=",nbp_lon," nbp_lat=",nbp_lat
-        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
-        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
-        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," is_south_pole_dyn=",is_south_pole_dyn
+        WRITE(lunout,*) "init_iophy_new: mpirank=",mpi_rank," iibegin=",ii_begin , " ii_end=",ii_end," jjbegin=",jj_begin," jj_nb=",jj_nb," jj_end=",jj_end
+        WRITE(lunout,*) "init_iophy_new: mpirank=",mpi_rank," nbp_lon=",nbp_lon," nbp_lat=",nbp_lat
+        WRITE(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
+        WRITE(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
+        WRITE(lunout,*) "init_iophy_new: mpirank=",mpi_rank," is_south_pole_dyn=",is_south_pole_dyn
       ENDIF
 
@@ -348,6 +348,5 @@
 
     ENDDO
-    if (is_sequential) then
-
+    if (is_sequential) THEN
      npstn=pim
      IF(.NOT. ALLOCATED(nptabij)) THEN
@@ -835,7 +834,7 @@
      ALLOCATE(index2d(nbp_lon*jj_nb))
      ALLOCATE(fieldok(nbp_lon*jj_nb))
-     IF (prt_level >= 10) write(lunout,*)'Sending ',name,' to IOIPSL'
+     IF (prt_level >= 10) WRITE(lunout,*)'Sending ',name,' to IOIPSL'
      CALL histwrite(nid,name,itau,Field2d,nbp_lon*jj_nb,index2d)
-     IF (prt_level >= 10) write(lunout,*)'Finished sending ',name,' to IOIPSL'
+     IF (prt_level >= 10) WRITE(lunout,*)'Finished sending ',name,' to IOIPSL'
     ELSE
      ALLOCATE(fieldok(npstn))
@@ -857,7 +856,7 @@
       ENDDO
      ENDIF
-     IF (prt_level >= 10) write(lunout,*)'Sending ',name,' to IOIPSL'
+     IF (prt_level >= 10) WRITE(lunout,*)'Sending ',name,' to IOIPSL'
      CALL histwrite(nid,name,itau,fieldok,npstn,index2d)
-     IF (prt_level >= 10) write(lunout,*)'Finished sending ',name,' to IOIPSL'
+     IF (prt_level >= 10) WRITE(lunout,*)'Finished sending ',name,' to IOIPSL'
 
     ENDIF
@@ -903,7 +902,7 @@
       ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
       ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
-      IF (prt_level >= 10) write(lunout,*)'Sending ',name,' to IOIPSL'
+      IF (prt_level >= 10) WRITE(lunout,*)'Sending ',name,' to IOIPSL'
       CALL histwrite(nid,name,itau,Field3d,nbp_lon*jj_nb*nlev,index3d)
-      IF (prt_level >= 10) write(lunout,*)'Finished sending ',name,' to IOIPSL'
+      IF (prt_level >= 10) WRITE(lunout,*)'Finished sending ',name,' to IOIPSL'
     ELSE
       nlev=size(field,2)
@@ -929,7 +928,7 @@
         ENDDO
       ENDIF
-      IF (prt_level >= 10) write(lunout,*)'Sending ',name,' to IOIPSL'
+      IF (prt_level >= 10) WRITE(lunout,*)'Sending ',name,' to IOIPSL'
       CALL histwrite(nid,name,itau,fieldok,npstn*nlev,index3d)
-      IF (prt_level >= 10) write(lunout,*)'Finished sending ',name,' to IOIPSL'
+      IF (prt_level >= 10) WRITE(lunout,*)'Finished sending ',name,' to IOIPSL'
     ENDIF 
     DEALLOCATE(index3d)
@@ -998,5 +997,5 @@
       IF (.not. ok_all_xml) THEN
       IF (prt_level >= 10) THEN
-      write(lunout,*)"histwrite2d_phy: .not.vars_defined ; time to define ", &
+      WRITE(lunout,*)"histwrite2d_phy: .not.vars_defined ; time to define ", &
                      trim(var%name)
       ENDIF
@@ -1035,5 +1034,5 @@
     
     
-    IF (SIZE(field) == klon) then
+    IF (SIZE(field) == klon) THEN
         CALL Gather_omp(field,buffer_omp)
     ELSE
@@ -1049,9 +1048,9 @@
         IF (using_xios) THEN  
           IF (prt_level >= 10) THEN
-             write(lunout,*)'Dans iophy histwrite2D,var%name ', trim(var%name)                       
+             WRITE(lunout,*)'Dans iophy histwrite2D,var%name ', trim(var%name)
           ENDIF
           
           IF (grid_type==regular_lonlat) THEN
-            IF (SIZE(field) == klon) then
+            IF (SIZE(field) == klon) THEN
               CALL xios_send_field(var%name, Field2d)
             ELSE
@@ -1059,5 +1058,5 @@
             ENDIF 
           ELSE IF (grid_type==unstructured) THEN
-            IF (SIZE(field) == klon) then
+            IF (SIZE(field) == klon) THEN
               CALL xios_send_field(var%name, buffer_omp)
             ELSE
@@ -1067,5 +1066,5 @@
           ENDIF
           IF (prt_level >= 10) THEN
-             write(lunout,*)'Dans iophy histwrite2D,var%name apres xios_send ',&
+             WRITE(lunout,*)'Dans iophy histwrite2D,var%name apres xios_send ',&
                              trim(var%name)                       
           ENDIF
@@ -1080,10 +1079,10 @@
                 IF (firstx) THEN
                    IF (prt_level >= 10) THEN
-                      write(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
+                      WRITE(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
                                      iff,trim(var%name)                       
-                      write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, CALL xios_send_field"
+                      WRITE(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, CALL xios_send_field"
                    ENDIF
                    IF (grid_type==regular_lonlat) THEN
-                     IF (SIZE(field) == klon) then
+                     IF (SIZE(field) == klon) THEN
                         CALL xios_send_field(var%name, Field2d)
                      ELSE
@@ -1091,5 +1090,5 @@
                      ENDIF
                    ELSE IF (grid_type==unstructured) THEN
-                     IF (SIZE(field) == klon) then
+                     IF (SIZE(field) == klon) THEN
                        CALL xios_send_field(var%name, buffer_omp)
                      ELSE
@@ -1111,5 +1110,5 @@
 !                        IF (iff == iff_beg) THEN
 !                          IF (prt_level >= 10) THEN
-!                            write(lunout,*)"histwrite2d_phy: .NOT.clef_stations(iff) and iff==iff_beg, CALL xios_send_field"
+!                            WRITE(lunout,*)"histwrite2d_phy: .NOT.clef_stations(iff) and iff==iff_beg, CALL xios_send_field"
 !                          ENDIF
 !                          CALL xios_send_field(var%name, Field2d)
@@ -1126,5 +1125,5 @@
                         ELSE
                               DO ip=1, npstn
-                                write(lunout,*)'histwrite2d_phy is_sequential npstn ip namenptabij',npstn,ip,var%name,nptabij(ip)
+                                WRITE(lunout,*)'histwrite2d_phy is_sequential npstn ip namenptabij',npstn,ip,var%name,nptabij(ip)
                                      IF(nptabij(ip)>=klon_mpi_begin.AND. &
                                         nptabij(ip)<=klon_mpi_end) THEN
@@ -1135,5 +1134,5 @@
 #ifndef CPP_IOIPSL_NO_OUTPUT 
                        IF (prt_level >= 10) THEN
-                         write(lunout,*)"histwrite2d_phy: clef_stations(iff) and iff==iff_beg, CALL wxios_write_2D"
+                         WRITE(lunout,*)"histwrite2d_phy: clef_stations(iff) and iff==iff_beg, CALL wxios_write_2D"
                        ENDIF
                        CALL histwrite(nid_files(iff),var%name,itau_iophy,fieldok,npstn,index2d)
@@ -1190,5 +1189,5 @@
   IF (check_dim .AND. is_master) WRITE(lunout,*)'histwrite3d_phy for ', trim(var%name)
 
-  IF (prt_level >= 10) write(lunout,*)'Begin histrwrite3d ',var%name
+  IF (prt_level >= 10) WRITE(lunout,*)'Begin histrwrite3d ',var%name
 
 ! ug RUSTINE POUR LES STD LEVS.....
@@ -1239,5 +1238,5 @@
 !    ENDIF
 
-    IF (SIZE(field,1) == klon) then
+    IF (SIZE(field,1) == klon) THEN
         CALL Gather_omp(field,buffer_omp)
     ELSE
@@ -1253,9 +1252,9 @@
       IF (using_xios) THEN  
           IF (prt_level >= 10) THEN
-             write(lunout,*)'Dans iophy histwrite3D,var%name ',&
+             WRITE(lunout,*)'Dans iophy histwrite3D,var%name ',&
                              trim(var%name)                       
           ENDIF
           IF (grid_type==regular_lonlat) THEN
-            IF (SIZE(field,1) == klon) then
+            IF (SIZE(field,1) == klon) THEN
                CALL xios_send_field(var%name, Field3d(:,:,1:nlevx))
             ELSE
@@ -1263,5 +1262,5 @@
             ENDIF
           ELSE IF (grid_type==unstructured) THEN
-            IF (SIZE(field,1) == klon) then
+            IF (SIZE(field,1) == klon) THEN
                CALL xios_send_field(var%name, buffer_omp(:,1:nlevx))
             ELSE
@@ -1280,12 +1279,12 @@
               IF (firstx) THEN
                 IF (prt_level >= 10) THEN
-                  write(lunout,*)'Dans iophy, histwrite3D iff nlev klev firstx', &
+                  WRITE(lunout,*)'Dans iophy, histwrite3D iff nlev klev firstx', &
                                   iff,nlev,klev, firstx                       
-                  write(lunout,*)'histwrite3d_phy: CALL xios_send_field for ', &
+                  WRITE(lunout,*)'histwrite3d_phy: CALL xios_send_field for ', &
                                   trim(var%name), ' with iim jjm nlevx = ', &
                                   nbp_lon,jj_nb,nlevx
                 ENDIF
                 IF (grid_type==regular_lonlat) THEN
-                  IF (SIZE(field,1) == klon) then
+                  IF (SIZE(field,1) == klon) THEN
                       CALL xios_send_field(var%name, Field3d(:,:,1:nlevx))
                   ELSE
@@ -1293,5 +1292,5 @@
                   ENDIF
                 ELSE IF (grid_type==unstructured) THEN
-                  IF (SIZE(field,1) == klon) then
+                  IF (SIZE(field,1) == klon) THEN
                      CALL xios_send_field(var%name, buffer_omp(:,1:nlevx))
                   ELSE
@@ -1351,5 +1350,5 @@
   ENDIF ! vars_defined
 
-  IF (prt_level >= 10) write(lunout,*)'End histrwrite3d ',var%name
+  IF (prt_level >= 10) WRITE(lunout,*)'End histrwrite3d ',var%name
 
   END SUBROUTINE histwrite3d_phy
@@ -1386,5 +1385,5 @@
     !Et sinon on.... écrit
     IF (SIZE(field)/=klon .AND. SIZE(field)/=klev .AND. SIZE(field)/=klev+1) CALL abort_physic('iophy::histwrite2d_xios','Field first DIMENSION not equal to klon/klev',1)
-    IF (SIZE(field) == klev .OR. SIZE(field) == klev+1) then
+    IF (SIZE(field) == klev .OR. SIZE(field) == klev+1) THEN
 !$OMP MASTER
 
@@ -1465,13 +1464,13 @@
   IF (check_dim .AND. is_master) WRITE(lunout,*)'histwrite3d_xios for ', field_name
 
-  IF (prt_level >= 10) write(lunout,*)'Begin histrwrite3d_xios ',field_name
+  IF (prt_level >= 10) WRITE(lunout,*)'Begin histrwrite3d_xios ',field_name
 
     !Et on.... écrit
-    IF (SIZE(field,1)/=klon .AND. SIZE(field,1)/=klev .AND. SIZE(field,1)/=klev+1) then
-      write(lunout,*)' histrwrite3d_xios ', field_name, SIZE(field)
+    IF (SIZE(field,1)/=klon .AND. SIZE(field,1)/=klev .AND. SIZE(field,1)/=klev+1) THEN
+      WRITE(lunout,*)' histrwrite3d_xios ', field_name, SIZE(field)
       CALL abort_physic('iophy::histwrite3d_xios','Field first DIMENSION not equal to klon/klev',1)
     ENDIF
     
-    IF (SIZE(field,1) == klev .OR. SIZE(field,1) == klev+1) then
+    IF (SIZE(field,1) == klev .OR. SIZE(field,1) == klev+1) THEN
 !$OMP MASTER
         CALL xios_send_field(field_name,field)
@@ -1527,5 +1526,5 @@
   ENDIF
 
-  IF (prt_level >= 10) write(lunout,*)'End histrwrite3d_xios ',field_name
+  IF (prt_level >= 10) WRITE(lunout,*)'End histrwrite3d_xios ',field_name
 
   END SUBROUTINE histwrite3d_xios
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5116)
@@ -65,5 +65,5 @@
 !$OMP END MASTER
 
-      return
+      RETURN
       end
 
@@ -249,5 +249,5 @@
          enddo
          ! Pole sud
-         if ( jmax > 1 ) then
+         if ( jmax > 1 ) THEN
             ijl=ijl+1
             do i=1,imax
@@ -260,5 +260,5 @@
       deallocate(zx)
 
-      return
+      RETURN
       end
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5116)
@@ -40,6 +40,6 @@
       ierr = nf90_open (filename, nf90_nowrite,nid_start)
       IF (ierr/=nf90_noerr) THEN
-        write(6,*)' Pb d''ouverture du fichier '//filename
-        write(6,*)' ierr = ', ierr
+        WRITE(6,*)' Pb d''ouverture du fichier '//filename
+        WRITE(6,*)' ierr = ', ierr
         CALL abort_physic("", "", 1)
       ENDIF
@@ -316,6 +316,6 @@
                           nid_restart)
       IF (ierr/=nf90_noerr) THEN
-        write(lunout,*)'open_restartphy: problem creating file '//trim(filename)
-        write(lunout,*)trim(nf90_strerror(ierr))
+        WRITE(lunout,*)'open_restartphy: problem creating file '//trim(filename)
+        WRITE(lunout,*)trim(nf90_strerror(ierr))
         CALL abort_physic("open_restartphy", trim(nf90_strerror(ierr)), 1)
       ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd.h	(revision 5116)
@@ -13,5 +13,5 @@
       INTEGER dim_coord(4)
       real iotd_ts,iotd_t0
-      integer :: n_names_iotd_def
+      INTEGER :: n_names_iotd_def
       character*20, dimension(200) :: names_iotd_def
       character*20 :: un_nom
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5116)
@@ -58,5 +58,5 @@
 ! Ajouts
       integer, save :: ntime=0
-      integer :: idim,varid
+      INTEGER :: idim,varid
       character (len =50):: fichnom
       integer, dimension(4) :: id
@@ -65,5 +65,5 @@
 
 
-       if (n_names_iotd_def>0 .and..not.any(names_iotd_def==nom)) return
+       if (n_names_iotd_def>0 .and..not.any(names_iotd_def==nom)) RETURN
 !***************************************************************
 ! Initialisation of 'firstnom' and create/open the "diagfi.nc" NetCDF file
@@ -83,5 +83,5 @@
 
         zx(1:imax*jmax*llm)=px(1:imax*jmax*llm)
-        if (firstnom =='1234567890') then
+        if (firstnom =='1234567890') THEN
             firstnom=nom
         endif
@@ -90,5 +90,5 @@
 
 !! Quand on tombe sur la premiere variable on ajoute un pas de temps
-        if (nom==firstnom) then
+        if (nom==firstnom) THEN
         ! We have identified a "first call" (at given date)
 
@@ -114,11 +114,11 @@
 !        PRINT*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
 
-           if (ierr/=nf90_noerr) then
-              write(*,*) "***** PUT_VAR matter in writediagfi_nc"
-              write(*,*) "***** with time"
-              write(*,*) 'ierr=', ierr   
+           if (ierr/=nf90_noerr) THEN
+              WRITE(*,*) "***** PUT_VAR matter in writediagfi_nc"
+              WRITE(*,*) "***** with time"
+              WRITE(*,*) 'ierr=', ierr
            endif
 
-!          write(6,*)'WRITEDIAGFI: date= ', date
+!          WRITE(6,*)'WRITEDIAGFI: date= ', date
         end if ! of if (nom.eq.firstnom)
 
@@ -126,5 +126,5 @@
 !Case of a 3D variable
 !---------------------
-        if (llm==lmax) then
+        if (llm==lmax) THEN
            ndim=4
            corner(1)=1
@@ -142,5 +142,5 @@
 !---------------------
 
-        else if (llm==1) then
+        else if (llm==1) THEN
            ndim=3
            corner(1)=1
@@ -160,5 +160,5 @@
 !-----------------------------------------------
 
-      if (ntime==1) then
+      if (ntime==1) THEN
           ierr = nf90_redef (nid)
           ierr = nf90_def_var(nid,nom,nf90_float,dim_cc,varid)
@@ -175,8 +175,8 @@
       ierr= nf90_put_var(nid,varid,zx,corner,edges)
 
-      if (ierr/=nf90_noerr) then
-           write(*,*) "***** PUT_VAR problem in writediagfi"
-           write(*,*) "***** with ",nom
-           write(*,*) 'ierr=', ierr
+      if (ierr/=nf90_noerr) THEN
+           WRITE(*,*) "***** PUT_VAR problem in writediagfi"
+           WRITE(*,*) "***** with ",nom
+           WRITE(*,*) 'ierr=', ierr
       endif 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ini.F90	(revision 5116)
@@ -42,5 +42,5 @@
       INTEGER :: ierr
 
-      integer :: nvarid
+      INTEGER :: nvarid
       integer, dimension(2) :: id  
 
@@ -72,9 +72,9 @@
       n_names_iotd_def=0
       open(99,file='iotd.def',form='formatted',status='old',iostat=ierr)
-         if ( ierr==0 ) then
+         if ( ierr==0 ) THEN
             ierr=0
             do while (ierr==0)
                read(99,*,iostat=ierr) un_nom
-               if (ierr==0) then
+               if (ierr==0) THEN
                   n_names_iotd_def=n_names_iotd_def+1
                   names_iotd_def(n_names_iotd_def)=un_nom
@@ -128,5 +128,5 @@
       ierr=nf90_def_var(nid, "lev", nf90_float,dim_coord(3),nvarid)
       ierr=nf90_put_att(nid,nvarid,"long_name","vert level")
-      if ( coordv(2)>coordv(1) ) then
+      if ( coordv(2)>coordv(1) ) THEN
          ierr=nf90_put_att(nid,nvarid,"long_name","pseudo-alt")
          ierr=nf90_put_att(nid,nvarid,'positive',"up")
